{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":45983,"path":"security-management/vulnerability-response/import-solution-advisories.md","title":"Import Common Vulnerability Reporting Framework data from advisories","bundle":null,"doc_type":null,"release":"australia","body":"\n# Import Common Vulnerability Reporting Framework data from advisories\n\nImport CVRF data from advisories by configuring the vendor URL with import type as API.\n\n## Before you begin\n\nRole required: sn\\_vul.vulnerability\\_admin, sn\\_vul.admin \\(deprecated\\), or admin\n\n## About this task\n\nWhen the integration runs, the advisories are fetched. The CVRF URL and advisories ID are extracted from the payload. The REST API calls are made for each CVRF URL, and data is parsed and stored in the sn\\_vul\\_solution table.\n\n## Procedure\n\n1.  Navigate to **Vulnerability Response** &gt; **Administration** &gt; **Setup Assistant** &gt; **Integration Configuration** &gt; **Solution Integrations** &gt; **Common Vulnerability Response Framework**.\n\n2.  Click **Add Integration**.\n\n3.  On the form, fill in the fields.\n\n<table id=\"table_z5k_bwb_glb\"><thead><tr><th>\n\nField\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nImport type\n\n</td><td>\n\nOption to select the import type. Select **API**.\n\n</td></tr><tr><td>\n\nName\n\n</td><td>\n\nUnique name for the integration.\n\n</td></tr><tr><td>\n\nVendor\n\n</td><td>\n\nName of the vendor.**Note:** The **Source** field of the solutions is populated with the Vendor name.\n\n</td></tr><tr><td>\n\nConnection alias\n\n</td><td>\n\nOption to select an authenticated credential.**Note:** The sys\\_alias table stores credentials and the base URL for advisories.\n\n</td></tr><tr><td>\n\nSchedule\n\n</td><td>\n\nFrequency at which the data must be updated.\n\n</td></tr><tr><td>\n\nDay\n\n</td><td>\n\nDay of the week when you want the data to get updated.\n\n</td></tr><tr><td>\n\nTime\n\n</td><td>\n\nTime of the week when you want the data to get updated.\n\n</td></tr><tr><td colspan=\"2\">\n\nAPI Configuration\n\n</td></tr><tr><td>\n\nFlow\n\n</td><td>\n\nOption to select the flow.The flow gets triggered when the scheduler gets executed. The flow takes care of parsing advisories and extracts the CVRF URL and stores those details in the update tables. You can copy the existing flow and edit as required. For example, you can make changes related to pagination.\n\n</td></tr><tr><td>\n\nFlow action\n\n</td><td>\n\nOption to select the flow action.Flow actions take care of the sliding window capability. You can update the flow actions and add the query parameter directly to the action by dragging.\n\n</td></tr><tr><td>\n\nMapping Table\n\n</td><td>\n\nOption to select the mapping table.The record of the Enrichment Data Mapping Table is used for extracting the CVRF URL and Advisory ID from the payload of advisories.\n\n</td></tr><tr><td>\n\nAdvisories from response\n\n</td><td>\n\nOption to enter the tag name from the payload of advisories from where the list of advisories can be extracted.\n\n</td></tr><tr><td colspan=\"2\">\n\nFilter Criteria\n\n</td></tr><tr><td>\n\nTime range parameters\n\n</td><td>\n\nOption to select the time range for the request and the date format for API calls.Start Date/End Date Request parameter is the parameter name used for start date and end date during API calls. For example, StartDate, start\\_date, endDate, end\\_date.\n\n</td></tr><tr><td>\n\nDate format\n\n</td><td>\n\nOption to enter the date format, such as, `mm/dd/yyyy.`. The date format is the format that the API needs for filtering. Formats that are not supported by GlideDate do not work.\n\n</td></tr><tr><td>\n\nInitial range in days\n\n</td><td>\n\nEnter the days for which the data must be fetched when the scheduler is first executed.For subsequent runs, the sliding window mechanism is followed.\n\n**Note:** If you do not want to select a time range, select **No Parameters**.\n\n</td></tr><tr><td colspan=\"2\">\n\nScanner mappings\n\n</td></tr><tr><td>\n\nScanner Source\n\n</td><td>\n\nOption to select the source of the third-party entry \\(TPE\\).\n\n</td></tr><tr><td>\n\nVulnerability column\n\n</td><td>\n\nOption to select the keyword.\n\n</td></tr><tr><td>\n\nKeywords\n\n</td><td>\n\nOption to enter the keyword for searching the selected vulnerability column.\n\n</td></tr></tbody>\n</table>4.  Click **Finish**.\n\n\n"}}